Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.optimization
Class SimpleRealPointChecker

    java.lang.Object
      org.apache.commons.math.optimization.SimpleRealPointChecker

All Implemented Interfaces:
  RealConvergenceChecker

    public class SimpleRealPointChecker

extends Object
implements RealConvergenceChecker

Simple implementation of the `RealConvergenceChecker` interface using only point coordinates.

Convergence is considered to have been reached if either the relative difference between each point coordinate are smaller than a threshold or if either the absolute difference between the point coordinates are smaller than another threshold.

Since:
  2.0
Version:
  $Revision: 990655 $ $Date: 2010-08-29 23:49:40 +0200 (dim. 29 aoÃ»t 2010) $

Constructor Summary
`SimpleRealPointChecker()` Build an instance with default threshold.
`SimpleRealPointChecker(double relativeThreshold, double absoluteThreshold)` Build an instance with a specified threshold.

Method Summary
`boolean` | `converged(int iteration, RealPointValuePair previous, RealPointValuePair current)` Check if the optimization algorithm has converged considering the last points.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRealPointChecker

    public SimpleRealPointChecker()

  Build an instance with default threshold.

### SimpleRealPointChecker

    public SimpleRealPointChecker(double relativeThreshold,
                                  double absoluteThreshold)

  Build an instance with a specified threshold.

  In order to perform only relative checks, the absolute tolerance must be set to a negative value. In order to perform only absolute checks, the relative tolerance must be set to a negative value.

  Parameters:
    `relativeThreshold` - relative tolerance threshold
    `absoluteThreshold` - absolute tolerance threshold

Method Detail

### converged

    public boolean converged(int iteration,
                             RealPointValuePair previous,
                             RealPointValuePair current)

  Check if the optimization algorithm has converged considering the last points.

  This method may be called several time from the same algorithm iteration with different points. This can be detected by checking the iteration number at each call if needed. Each time this method is called, the previous and current point correspond to points with the same role at each iteration, so they can be compared. As an example, simplex-based algorithms call this method for all points of the simplex, not only for the best or worst ones.

  Specified by:
    `converged` in interface `RealConvergenceChecker`
  Parameters:
    `iteration` - index of current iteration
    `previous` - point from previous iteration
    `current` - point from current iteration
  Returns:
    true if the algorithm is considered to have converged

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.